/* $Id: Furnace.js,v 1.1 2017/08/09 12:29:02 sqko Exp $ */

/* Override remote_log from RFCcontrol.js to handle furnace runs */

function remote_log(script,id,str,runnr)
{
    var msg = str;
    var type = 'Riglog';
    var rig = document.login_info.rig.value;
    var test = document.login_info.testnr.value;
    if (test >= 0)
    {
	msg = 'Furnace ' + rig + ' run ' + runnr + ': '+str;
	type = 'Furnacelog';
    }
    var user = document.login_info.name.value;
    var pass = document.login_info.pass.value;
    var query = '&action=new_maint_log&type='+type+'&equipid='+id+'&description='+msg;
    var ajaxRequest;  // The variable that makes Ajax possible!
    try{
        // Opera 8.0+, Firefox, Safari
        ajaxRequest = new XMLHttpRequest();
    } catch (e){
        // Internet Explorer Browsers
        try{
            ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
        } catch (e) {
            try{
                ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
            } catch (e){
                // Something went wrong
                alert("Your browser broke!");
                return false;
            }
        }
    }
    // Create a function that will receive data sent from the server
    ajaxRequest.onreadystatechange = function(){
        if(ajaxRequest.readyState == 4){
            // This is what actually is done once ajax request has finished
            ajax_alert(ajaxRequest.responseText);
        }
    }
    var hidden = "?name="+user+"&pass="+pass;
    ajaxRequest.open("GET", script+hidden+query, true);
    ajaxRequest.send(null);
}
